import { Cluster, PublicKey } from '@solana/web3.js';
export declare class Id {
    cluster: Cluster;
    name: string;
    publicKey: string;
    serum3ProgramId: string;
    mangoProgramId: string;
    banks: {
        name: string;
        publicKey: string;
        active: boolean;
    }[];
    stubOracles: {
        name: string;
        publicKey: string;
    }[];
    mintInfos: {
        name: string;
        publicKey: string;
    }[];
    serum3Markets: {
        name: string;
        publicKey: string;
        active: boolean;
        marketExternal: string;
    }[];
    perpMarkets: {
        name: string;
        publicKey: string;
        active: boolean;
    }[];
    constructor(cluster: Cluster, name: string, publicKey: string, serum3ProgramId: string, mangoProgramId: string, banks: {
        name: string;
        publicKey: string;
        active: boolean;
    }[], stubOracles: {
        name: string;
        publicKey: string;
    }[], mintInfos: {
        name: string;
        publicKey: string;
    }[], serum3Markets: {
        name: string;
        publicKey: string;
        active: boolean;
        marketExternal: string;
    }[], perpMarkets: {
        name: string;
        publicKey: string;
        active: boolean;
    }[]);
    getBanks(): PublicKey[];
    getStubOracles(): PublicKey[];
    getMintInfos(): PublicKey[];
    getSerum3Markets(): PublicKey[];
    getPerpMarkets(): PublicKey[];
    static fromIdsByName(name: string): Id;
    static fromIdsByPk(groupPk: PublicKey): Id;
    static fromApi(groupPk: PublicKey): Promise<Id>;
}
//# sourceMappingURL=ids.d.ts.map